summaryrefslogtreecommitdiffstats
path: root/games/chexquest3/chexquest3.sh
diff options
context:
space:
mode:
author B. Watson2017-01-17 16:51:00 +0100
committer Willy Sudiarto Raharjo2017-01-20 13:35:24 +0100
commitf66dd7f634e5313792656554578d773b68b4da46 (patch)
treed1b5265856e55c0c07e827c00a0e5463070572d7 /games/chexquest3/chexquest3.sh
parentd910b2cede372157a380a9dc23cd2e96a65e379b (diff)
downloadslackbuilds-f66dd7f634e5313792656554578d773b68b4da46.tar.gz
games/chexquest3: Added (breakfast cereal themed FPS game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/chexquest3/chexquest3.sh')
-rw-r--r--games/chexquest3/chexquest3.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/games/chexquest3/chexquest3.sh b/games/chexquest3/chexquest3.sh
new file mode 100644
index 0000000000..9c374ef939
--- /dev/null
+++ b/games/chexquest3/chexquest3.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# Wrapper script for chexquest3, part of the SlackBuilds.org project.
+# Finds a usable Doom engine and uses it to run the game.
+
+# The IWAD. Actually, for some reason, its header defines it as a PWAD.
+# But it really is an IWAD. Go figure.
+WAD=/usr/share/games/doom/chex3.wad
+
+# The list is restricted to engines that (a) are on SBo, and (b) can
+# actually play Chex Quest 3.
+
+# These were tested, and don't work:
+# chocolate-doom crispy-doom odamex prboom prboom-plus doomretro doomsday
+
+# These were tested, and do work... though skulltag has issues.
+ENGINES="gzdoom zdoom skulltag"
+
+# And we're off to the races...
+for eng in $ENGINES; do
+ if /bin/which $eng &>/dev/null; then
+ exec $eng -iwad $WAD "$@"
+ fi
+done
+
+echo "Can't find any of $ENGINES, can't run game." 1>&2
+exit 1